PixieScript 2.6.3

Automation of the new Pixie WPS vulnerabilities

  1. Mr. Penguin

    Mr. Penguin Administrator
    Staff Member Admin Moderator VIP

    Joined:
    18 May 2012
    Messages:
    3,093
    Likes Received:
    1,190
    Mr. Penguin submitted a new resource:

    PixieScript - Automation of the new Pixie WPS vulnerabilities

    Read more about this resource...
     
  2. bulaien

    bulaien Active Member

    Joined:
    23 Feb 2014
    Messages:
    7
    Likes Received:
    3
    Made an english translation of the script. Maybe someone is interested
     
    • Agree Agree x 1
    • Dislike Dislike x 1
    • Crap Crap x 1
  3. duxim

    duxim Active Member

    Joined:
    7 Dec 2014
    Messages:
    18
    Likes Received:
    1
    to install PixieScript :
    Code:
    Select All
    tar -zxvf PixieScript_v2.4.tar.gz cd PixieScript_v2.4 chmod +x INSTALADOR ./INSTALADOR
    p.s. in Kali linux is under Applications =>Internet => PixieScript
     
    #3 duxim, 19 Apr 2015
    Last edited by a moderator: 19 Apr 2015
    • Like Like x 1
    • Informative Informative x 1
  4. firesheep

    firesheep Well-Known Member
    Donator I

    Joined:
    10 Jul 2012
    Messages:
    53
    Likes Received:
    8
    thank share...:)
     
  5. Eddie5150

    Eddie5150 Active Member

    Joined:
    20 Oct 2012
    Messages:
    6
    Likes Received:
    0
    I need english version please
     
  6. bulaien

    bulaien Active Member

    Joined:
    23 Feb 2014
    Messages:
    7
    Likes Received:
    3

    Attached Files:

    #6 bulaien, 20 Apr 2015
    Last edited by a moderator: 22 Apr 2015
    • Like Like x 2
    • Winner Winner x 1
  7. Mr. Penguin

    Mr. Penguin Administrator
    Staff Member Admin Moderator VIP

    Joined:
    18 May 2012
    Messages:
    3,093
    Likes Received:
    1,190
  8. Mr. Penguin

    Mr. Penguin Administrator
    Staff Member Admin Moderator VIP

    Joined:
    18 May 2012
    Messages:
    3,093
    Likes Received:
    1,190
    Mr. Penguin updated PixieScript with a new update entry:

    Major Update

    Read the rest of this update entry...
     
  9. MotasemBT

    MotasemBT Active Member

    Joined:
    14 Sep 2014
    Messages:
    3
    Likes Received:
    0
  10. Mr. Penguin

    Mr. Penguin Administrator
    Staff Member Admin Moderator VIP

    Joined:
    18 May 2012
    Messages:
    3,093
    Likes Received:
    1,190
    Mr. Penguin updated PixieScript with a new update entry:

    New Options and Bug Fixes

    Read the rest of this update entry...
     
    • Like Like x 1
  11. MotasemBT

    MotasemBT Active Member

    Joined:
    14 Sep 2014
    Messages:
    3
    Likes Received:
    0
    root@kali:~/Desktop/PixieScript_v2.6.3# chmod +x INSTALADOR
    root@kali:~/Desktop/PixieScript_v2.6.3# ./INSTALADOR

    DEPENDENCIAS GLOBALES

    COMPROBANDO DEPENDENCIA GTKDIALOG .... ERROR, NECESITAS INSTALAR GTKDIALOG 0.8.3 o superior : https://code.google.com/p/gtkdialog/
    root@kali:~/Desktop/PixieScript_v2.6.3# ./INSTALADOR: 54: hash: gtkdialog: not found
     
  12. Mr. Penguin

    Mr. Penguin Administrator
    Staff Member Admin Moderator VIP

    Joined:
    18 May 2012
    Messages:
    3,093
    Likes Received:
    1,190
    @MotasemBT

    Code:
    Select All
    sudo apt-get install build-essential wget https://gtkdialog.googlecode.com/files/gtkdialog-0.8.3.tar.gz tar -xvf gtkdialog-0.8.3.tar.gz cd gtkdialog-0.8.3/ ./configure make sudo make install
     
  13. MotasemBT

    MotasemBT Active Member

    Joined:
    14 Sep 2014
    Messages:
    3
    Likes Received:
    0
    root@kali:~/Desktop/PixieScript_v2.6.3 (2)# '/root/Desktop/PixieScript_v2.6.3 (2)/PixieScript'
    /root/Desktop/PixieScript_v2.6.3 (2)/PixieScript: 855: /root/Desktop/PixieScript_v2.6.3 (2)/PixieScript: Syntax error: Bad for loop variable
     
  14. meknb

    meknb Mod
    Moderator Dev Team VIP

    Joined:
    2 Jun 2012
    Messages:
    702
    Likes Received:
    144
    Try change the first line
    Code:
    Select All
    #!/bin/sh to #!/bin/bash
     
  15. Taotechie

    Taotechie New Member

    Joined:
    12 Jun 2015
    Messages:
    1
    Likes Received:
    0
    I have installed the gtkdialog and I still have the same problem in Kali ( ERROR, NECESITAS INSTALAR GTKDIALOG 0.8.3 o superior)

    Using Wifislax it works perfect. I wonder if the problem could be that the script looks for the gtkdialog in the folder where it's installed in Wifislax, but not in Kali (if the installations are in different places). Someone has run the script in Kali without problems?
    I imagine that Duxim was able to make it work but I don't know is he had to do something special to do it.
     
  16. daywalker-87

    daywalker-87 Active Member

    Joined:
    3 May 2015
    Messages:
    1
    Likes Received:
    0
    i have a problem on ubuntu 15.04 64 bit. still give me a error on gtkdialog i installed latest version 0.8.3, i try with command bash ./INSTALADOR and give me this error :
    COMPROBANDO DEPENDENCIA GTKDIALOG .... OK
    COMPROBANDO DEPENDENCIA YAD .......... OK
    COMPROBANDO DEPENDENCIA AIRCRACK-NG... OK
    COMPROBANDO DEPENDENCIA CURL ......... OK
    COMPROBANDO DEPENDENCIA MACCHANGER ... OK
    COMPROBANDO DEPENDENCIA gksudo ....... OK


    HERRAMIENTAS

    COMPROBANDO DEPENDENCIA MOD_REAVER ... FALTA
    DESCARGANDO REAVER, ESPERA ... ./INSTALADOR: line 114: svn: command not found
    ERROR


    help please
     
  17. gr8blondino

    gr8blondino Member

    Joined:
    28 Jun 2015
    Messages:
    1
    Likes Received:
    0
    Hey Duxim, can't get the script to install on Kali. Script installer fails to discover that gtkdialog is installed. Would you be so kind and share your experience in installing this? Thanks.
     
    • Funny Funny x 1
  18. wermaxta

    wermaxta Active Member

    Joined:
    2 Feb 2013
    Messages:
    1
    Likes Received:
    0
    Hi my os is Kali linux
    when i type ./INSTALADOR i got this error message
    INSTALANDO XCLIP ............. ERROR, CONSULTA EL ARCHIVO COMPILANDO_XCLIP
    mv: cannot stat `COMPILANDO_XCLIP': No such file or directory
    Help me pls to fix this
     
  19. meknb

    meknb Mod
    Moderator Dev Team VIP

    Joined:
    2 Jun 2012
    Messages:
    702
    Likes Received:
    144
    Install xclip
    Code:
    Select All
    sudo apt-get install xclip
     
  20. spaceyoda

    spaceyoda Active Member

    Joined:
    19 Jul 2015
    Messages:
    1
    Likes Received:
    1
    After you download the script you will get some problems but i hope this helps. Im using kali linux and also an usb alfa wifi card.

    problem 1. After I download the scipt and chmod +x ./INSTALADOR. COMPROBANDO DEPENDENCIA GTKDIALOG .... ERROR, NECESITAS INSTALAR GTKDIALOG 0.8.3 o superior : https://code.google.com/p/gtkdialog/

    FIX: https://code.google.com/p/gtkdialog/downloads/detail?name=gtkdialog-0.8.3.tar.gz
    Download & extract:
    ./INSTALADOR

    problem 2. After you do this you will still get the same problem.

    FIX: So make sure you nano to the PixieScript and change the first line to #!/bin/bash if not already done so.
    then use #bash ./INSTALADOR

    problem 3. Then you will get this..COMPROBANDO DEPENDENCIA YAD.....

    Fix: http://sourceforge.net/projects/yad-dialog/
    download & extract ---- if you a have a problem extracting, just go to the folder & right-click on the file and click (extract here)

    problem 4. Then you get COMPROBANDO DEPENDENCIA XCLIP ........

    Fix: #apt-get install xclip After you do this, you will still get the same problem but it is install. So I did
    this .... #ln -s /usr/bin/xclip /root/Downloads/PixieScript_v2.6.3/HERRAMIENTAS/

    problem 5. COMPROBANDO DEPENDENCIA CPULIMIT .....

    Fix: apt-get install cpulimit

    THATS IT .... NOW #bash ./INSTALADOR Then go to Applications> Internet>PixieScript
    --- Double Post Merged, 22 Jul 2015, Original Post Date: 19 Jul 2015 ---
    so the script on kali have a hard time getting into mon mode with the wifi card, so i went ahead and did a virtualbox with wifislax and it worked. make sure after you download it to open in the kde + persistance. also you wont need to change anything, just have the normal stuff downloaded like https://github.com/t6x/reaver-wps-fork-t6x and https://github.com/wiire/pixiewps. i also used the same verison as this video which is 2.6.1. http://www.mediafire.com/download/e8azo75fu4hctdm/PixieScript_v2.6.1.tar.gz i was able to crack wpa pin with passwords less than 15 seconds.
    --- Double Post Merged, 22 Jul 2015 ---
    Forgot to put video.....
    Watch this video on YouTube.

    --- Double Post Merged, 25 Jul 2015 ---
    if you want to make this usb persistent than you must first login the kde desktop version, open terminal # changes 512
    after that- logout than log back to kde persistent
     
    • Like Like x 1
Loading...
  • About Us

    We are a community mixed with professionals and beginners with an interest in wireless security, auditing and pentesting. Feel free to check out and upload resources.


    You can also find us on: Twitter and Facebook

  • Donate to Us

    Did you find our forums useful? Feel free to donate Bitcoin to us using the form below. Those who donate the equivlent of $10 USD or more will be upgraded to VIP membership. Don't have Bitcoin? Use your credit card to GO VIP here. Don't want to fork out some coin? There are other ways to GO VIP. Bitcoin: 1LMTGSoTyJWXuy2mQkHfgMzD7ez74x1Z8K